# 数字化交付数据表设计



## 1.物模型表设计

### 1.1物模型对象

| 物模型对象  |          |             |        |      |                        |
| ----------- | -------- | ----------- | ------ | ---- | ---------------------- |
| 字段        | 字段名称 | 类型        | 可为空 | 主键 | 备注                   |
| object_id   | 对象ID   | varchar(80) | 否     |      |                        |
| meter_id    | 表号ID   | varchar(80) | 否     | 是   |                        |
| funcid      | 台账ID   | varchar(80) | 否     | 是   | 对应对象台账表的台账id |
| product_id  | 产品ID   | varchar(80) | 否     | 是   | 对应对象产品表的产品id |
| protocol_id | 协议ID   | varchar(80) | 否     | 是   |                        |
| network_id  | 网络ID   | varchar(80) | 否     | 是   |                        |
| building_id | 建筑ID   | varchar(80) | 否     | 是   |                        |
| project_id  | 项目ID   | varchar(40) | 否     | 是   |                        |
| group_code  | 集团编码 | varchar(20) | 否     | 是   | 物模型所属集团         |
| object_name | 对象名字 | varchar(80) | 否     |      |                        |
| object_type | 对象类型 | varchar(80) | 否     |      |                        |

### 1.2物模型对象属性

| 物模型对象属性       |                        |             |        |      |              |
| -------------------- | ---------------------- | ----------- | ------ | ---- | ------------ |
| 字段                 | 字段名称               | 类型        | 可为空 | 主键 | 备注         |
| attribute_id         | 属性ID                 | varchar(80) | 否     |      |              |
| object_id            | 对象ID                 | varchar(80) | 否     | 是   |              |
| attribute_identifier | 属性标示符             | varchar(80) | 否     |      |              |
| attribute_name       | 属性名称               | varchar(80) | 否     |      |              |
| attribute_type       | 属性类型               | varchar(80) | 否     |      |              |
| attribute_value_max  | 属性取值范围（最大值） | double      | 是     |      |              |
| attribute_value_min  | 属性取值范围（最小值） | double      | 是     |      |              |
| step                 | 步长                   | double      | 否     |      |              |
| unit                 | 单位                   | varchar(20) | 否     |      |              |
| read_write_type      | 读写类型               | int         | 否     |      | 0读写  1只读 |

### 1.3物模型对象服务

| 物模型对象服务     |            |             |        |      |              |
| ------------------ | ---------- | ----------- | ------ | ---- | ------------ |
| 字段               | 字段名称   | 类型        | 可为空 | 主键 | 备注         |
| service_id         | 服务ID     | varchar(80) | 否     |      | 函数         |
| service_name       | 服务名称   | varchar(80) | 否     |      |              |
| object_id          | 对象ID     | varchar(80) | 否     | 是   |              |
| function_id        | 功能号ID   | varchar(80) | 否     | 是   |              |
| service_identifier | 服务标识符 | varchar(80) | 否     |      |              |
| use_type           | 调用类型   | Int         | 否     |      | 0异步  1同步 |

### 1.4物模型对象服务参数

| 物模型对象服务参数  |                        |             |        |      |             |
| ------------------- | ---------------------- | ----------- | ------ | ---- | ----------- |
| 字段                | 字段名称               | 类型        | 可为空 | 主键 | 备注        |
| parameter_id        | 参数ID                 | varchar(80) | 否     |      |             |
| service_id          | 服务ID                 | varchar(80) | 否     | 是   |             |
| parameter_order     | 参数顺序               | varchar(80) | 否     |      |             |
| parameter_type      | 参数类型               | Int         | 否     |      | 0输入 1输出 |
| attribute_type      | 属性类型               | varchar(80) | 否     |      |             |
| attribute_value_max | 属性取值范围（最大值） | double      | 是     |      |             |
| attribute_value_min | 属性取值范围（最小值） | double      | 是     |      |             |

### 1.5物模型对象事件

| 物模型对象服务参数 |            |             |        |      |                              |
| ------------------ | ---------- | ----------- | ------ | ---- | ---------------------------- |
| 字段               | 字段名称   | 类型        | 可为空 | 主键 | 备注                         |
| event_id           | 事件ID     | varchar(80) | 否     |      | 函数                         |
| event_name         | 事件名称   | varchar(80) | 否     |      |                              |
| object_id          | 对象ID     | varchar(80) | 否     | 是   |                              |
| function_id        | 功能号ID   | varchar(80) | 否     | 是   |                              |
| event_identifier   | 事件标识符 | Int         | 否     |      | 1、IOT数据；2、告警；3、故障 |
| event_type         | 事件类型   | varchar(80) | 否     |      |                              |

### 1.6物模型对象事件参数

| 物模型对象事件参数 |          |             |        |      |      |
| ------------------ | -------- | ----------- | ------ | ---- | ---- |
| 字段               | 字段名称 | 类型        | 可为空 | 主键 | 备注 |
| parameter_id       | 参数ID   | varchar(80) | 否     |      |      |
| event_id           | 事件ID   | varchar(80) | 否     | 是   |      |
| attribute_type     | 属性类型 | varchar(80) | 否     |      |      |



## 2.点位协议表设计

### 2.1协议

| 协议          |          |             |        |      |              |
| ------------- | -------- | ----------- | ------ | ---- | ------------ |
| 字段          | 字段名称 | 类型        | 可为空 | 主键 | 备注         |
| protocol_id   | 协议ID   | varchar(80) | 否     | 是   |              |
| protocol_name | 协议名称 | varchar(80) | 否     |      |              |
| protocol_type | 协议类型 | varchar(80) | 否     |      |              |
| start_class   | 启动类名 | varchar(80) | 否     |      |              |
| file_address  | 文件地址 | varchar(80) | 否     |      |              |
| object_name   | 有效     | int         | 否     |      | 0无效；1有效 |

### 2.2网络组件

| 网络组件         |             |              |        |      |                    |
| ---------------- | ----------- | ------------ | ------ | ---- | ------------------ |
| 字段             | 字段名称    | 类型         | 可为空 | 主键 | 备注               |
| unit_id          | 组件ID      | varchar(80)  | 否     | 是   |                    |
| unit_name        | 组件名称    | varchar(80)  | 否     |      |                    |
| unit_type        | 组件类型    | varchar(80)  | 否     |      |                    |
| unit_port        | 组件端口    | varchar(80)  | 否     |      |                    |
| unit_certificate | 组件证书    | varchar(500) | 否     |      |                    |
| is_turn          | 是否开启SSL | int          | 否     |      | 0、未开启；1、开启 |
| describe         | 描述        | varchar(500) | 是     |      |                    |

### 2.3点位

| 点位                 |              |             |        |      |              |
| -------------------- | ------------ | ----------- | ------ | ---- | ------------ |
| 字段                 | 字段名称     | 类型        | 可为空 | 主键 | 备注         |
| infopoint_id         | 点位ID       | varchar(80) | 否     | 是   |              |
| file_id              | 文件ID       | varchar(80) | 否     | 是   |              |
| infopoint_coordinate | 点位坐标     | varchar(80) | 否     |      |              |
| building_id          | 建筑ID       | varchar(80) | 否     |      |              |
| floor_id             | 楼层ID       | varchar(80) | 否     |      |              |
| object_id            | 对象ID       | varchar(80) | 否     |      |              |
| is_virtua            | 是否虚拟点位 | int         | 否     |      | 0、否；1、是 |

### 2.4点位对象

| 点位对象            |            |             |        |      |                              |
| ------------------- | ---------- | ----------- | ------ | ---- | ---------------------------- |
| 字段                | 字段名称   | 类型        | 可为空 | 主键 | 备注                         |
| infopoint_object_id | 点位对象ID | varchar(80) | 否     | 是   |                              |
| infopoint_id        | 点位ID     | varchar(80) | 否     | 是   |                              |
| object_id           | 对象ID     | varchar(80) | 否     |      |                              |
| create_time         | 创建时间   | varchar(80) | 否     |      |                              |
| create_type         | 创建类型   | int         | 否     |      | 0、数字化交付；1、用户自定义 |



## 3.对象表设计

### 3.1项目

| 项目             |               |          |      |        |                   |
| ---------------- | ------------- | -------- | ---- | ------ | ----------------- |
| 字段             | 字段名称      | 类型     | 长度 | 不为空 | 备注              |
| id               | 项目id        | varchar  | 80   | NO     |                   |
| name             | 项目名        | varchar  | 50   | YES    |                   |
| password         | 项目密码      | varchar  | 50   | YES    |                   |
| local_id         | 项目本地编码  | varchar  | 80   | YES    |                   |
| local_name       | 项目本地名称  | varchar  | 50   | YES    |                   |
| bim_id           | BIM模型中编码 | varchar  | 80   | YES    |                   |
| geo_info         | 地理位置      | text     |      | YES    |                   |
| project_info     | 项目信息      | text     |      | YES    |                   |
| commercial_info  | 商业信息      | text     |      | YES    |                   |
| energy_cost      | 能源价格      | text     |      | YES    |                   |
| outdoor_env      | 室外环境      | text     |      | YES    |                   |
| weather          | 天气预报      | text     |      | YES    |                   |
| consumption_info | 能耗信息      | text     |      | YES    |                   |
| last_update      | 更新时间      | datetime |      | YES    | CURRENT_TIMESTAMP |
| create_time      | 创建时间      | datetime |      | YES    | CURRENT_TIMESTAMP |
| custom_param     | 自定义信息    | text     |      | YES    |                   |
| object_type      | 对象类型      | varchar  | 500  | YES    |                   |

### 3.2建筑

| 建筑             |               |          |      |        |                   |
| ---------------- | ------------- | -------- | ---- | ------ | ----------------- |
| 字段             | 字段名称      | 类型     | 长度 | 不为空 | 备注              |
| id               | 建筑id        | varchar  | 80   | NO     |                   |
| name             | 建筑名称      | varchar  | 200  | YES    |                   |
| local_id         | 建筑本地编码  | varchar  | 80   | YES    |                   |
| local_name       | 建筑本地名称  | varchar  | 500  | YES    |                   |
| project_id       | 项目id        | varchar  | 80   | NO     |                   |
| bim_id           | BIM模型中编码 | varchar  | 80   | YES    |                   |
| schedule         | 工作历        | text     |      | YES    |                   |
| people_info      | 人员信息      | text     |      | YES    |                   |
| consumption_info | 能耗信息      | text     |      | YES    |                   |
| last_update      | 更新时间      | datetime |      | YES    | CURRENT_TIMESTAMP |
| create_time      | 创建时间      | datetime |      | YES    | CURRENT_TIMESTAMP |
| building_info    | 项目信息      | text     |      | YES    |                   |
| custom_param     | 自定义参数    | text     |      | YES    |                   |
| object_type      | 对象类型      | varchar  | 500  | YES    |                   |
| building_doc     | 建筑文档      | text     |      | YES    |                   |

### 3.3楼层

| 楼层            |                    |          |      |        |                   |
| --------------- | ------------------ | -------- | ---- | ------ | ----------------- |
| 字段            | 字段名称           | 类型     | 长度 | 不为空 | 备注              |
| id              | 楼层id             | varchar  | 100  | NO     |                   |
| name            | 楼层名字           | varchar  | 50   | YES    |                   |
| local_id        | 楼层本地编码       | varchar  | 80   | YES    |                   |
| local_name      | 楼层本地名称       | varchar  | 500  | YES    |                   |
| project_id      | 项目id             | varchar  | 80   | YES    |                   |
| bim_id          | BIM模型中编码      | varchar  | 80   | YES    |                   |
| sequence_id     | 楼层顺序号         | int      |      | YES    |                   |
| structure_info  | 结构信息           | text     |      | YES    |                   |
| people_info     | 人员信息           | text     |      | YES    |                   |
| last_update     | 更新时间           | datetime |      | YES    | CURRENT_TIMESTAMP |
| create_time     | 创建时间           | datetime |      | YES    | CURRENT_TIMESTAMP |
| custom_param    | 自定义信息         | text     |      | YES    |                   |
| object_type     | 对象类型           | varchar  | 500  | YES    |                   |
| work_calendar   | 工作历信息         | text     |      | YES    |                   |
| sign            | 楼层平面图分割标记 | int      |      | YES    | 0                 |
| model_id        | 模型文件id         | varchar  | 100  | YES    |                   |
| outline         | 楼层选定区域轮廓线 | text     |      | YES    |                   |
| building_id     | 建筑id             | varchar  | 80   | YES    |                   |
| qr_code         | 楼层二维码图片     | varchar  | 300  | YES    |                   |
| floor_elevation | 楼板标高           | int      |      | YES    |                   |
| bim_id_pre      | BIMID前缀          | varchar  | 200  | YES    |                   |

### 3.4竖井

| 竖井           |               |          |      |        |                   |
| -------------- | ------------- | -------- | ---- | ------ | ----------------- |
| 字段           | 字段名称      | 类型     | 长度 | 不为空 | 备注              |
| id             | 竖井id        | varchar  | 80   | NO     |                   |
| name           | 竖井名字      | varchar  | 50   | YES    |                   |
| local_name     | 竖井本地名称  | varchar  | 50   | YES    |                   |
| local_id       | 竖井本地编码  | varchar  | 80   | YES    |                   |
| bim_id         | BIM模型中编码 | varchar  | 255  | YES    |                   |
| project_id     | 项目id        | varchar  | 255  | YES    |                   |
| last_update    | 更新时间      | datetime |      | YES    | CURRENT_TIMESTAMP |
| create_time    | 创建时间      | datetime |      | YES    | CURRENT_TIMESTAMP |
| structure_info | 结构信息      | text     |      | YES    |                   |
| object_type    | 对象类型      | varchar  | 500  | YES    |                   |

### 3.5空间

| 空间                |                                   |          |      |        |                                  |
| ------------------- | --------------------------------- | -------- | ---- | ------ | -------------------------------- |
| 字段                | 字段名称                          | 类型     | 长度 | 不为空 | 备注                             |
| id                  | 空间id                            | varchar  | 254  | NO     |                                  |
| name                | 空间名称                          | varchar  | 254  | YES    |                                  |
| local_id            | 本地编码                          | varchar  | 254  | YES    |                                  |
| local_name          | 本地名称                          | varchar  | 254  | YES    |                                  |
| project_id          | 项目id                            | varchar  | 254  | NO     |                                  |
| building_id         | 建筑id                            | varchar  | 254  | YES    |                                  |
| floor_id            | 楼层id                            | varchar  | 254  | YES    |                                  |
| bim_id              | 模型中编码                        | varchar  | 254  | YES    |                                  |
| outline             | 轮廓线                            | text     |      | YES    |                                  |
| object_type         | 类型                              | varchar  | 500  | NO     | 'GeneralZone'::character varying |
| pic                 | 图片                              | text     |      | YES    |                                  |
| proj_room_func_type | 项目空间功能区类型                | varchar  | 200  | YES    |                                  |
| room_serial         | 空间序号                          | int      |      | YES    |                                  |
| outline2            | 轮廓线2                           | text     |      | YES    |                                  |
| default_qr_code     | 平台二维码                        | varchar  | 200  | YES    |                                  |
| qr_code             | 空间二维码                        | varchar  | 254  | YES    |                                  |
| bim_location        | BIM模型中坐标                     | varchar  | 254  | YES    |                                  |
| depth               | 进深                              | int      |      | YES    |                                  |
| width               | 面宽                              | int      |      | YES    |                                  |
| build_area          | 建筑面积                          | int      |      | YES    |                                  |
| net_area            | 使用面积                          | int      |      | YES    |                                  |
| height              | 高                                | int      |      | YES    |                                  |
| intro               | 备注文字                          | text     |      | YES    |                                  |
| elec_cap            | 配电容量                          | int      |      | YES    |                                  |
| pollution_degree    | 污染等级                          | varchar  | 254  | YES    |                                  |
| func_type           | 空间功能区类型                    | varchar  | 254  | YES    |                                  |
| tenant_info         | 租户信息                          | text     |      | YES    |                                  |
| env_param           | 环境参数                          | text     |      | YES    |                                  |
| people_info         | 人员信息                          | text     |      | YES    |                                  |
| consumption_info    | 能耗信息                          | text     |      | YES    |                                  |
| create_time         | 创建时间                          | datetime |      | YES    | CURRENT_TIMESTAMP                |
| last_update         | 更新时间                          | datetime |      | YES    | CURRENT_TIMESTAMP                |
| dynamic_infor       | 动态信息                          | text     |      | YES    |                                  |
| zone_orientation    | 空间朝向                          | varchar  | 200  | YES    |                                  |
| rated_coolingp      | 设计供冷功率                      | text     |      | YES    |                                  |
| rated_heatingp      | 设计供热功率                      | text     |      | YES    |                                  |
| ac_type             | 空调形式                          | varchar  | 254  | YES    |                                  |
| run_param           | 运行参数                          | text     |      | YES    |                                  |
| work_calendar       | 工作历信息                        | text     |      | YES    |                                  |
| rated_lightp        | 设计照明功率                      | text     |      | YES    |                                  |
| zone_type           | 内外区分类                        | varchar  | 254  | YES    |                                  |
| state               | 空间是否受影响 0不受影响，1受影响 | int      |      | YES    | 0                                |
| tenant_type         | 租赁业态类型                      | varchar  | 200  | YES    |                                  |
| tenant              | 所属租户                          | varchar  | 500  | YES    |                                  |
| custom_param        | 自定义                            | text     |      | YES    |                                  |

### 3.6系统

| 系统           |              |          |      |        |                   |
| -------------- | ------------ | -------- | ---- | ------ | ----------------- |
| 字段           | 字段名称     | 类型     | 长度 | 不为空 | 备注              |
| id             | 系统id       | varchar  | 100  | NO     |                   |
| name           | 系统名称     | varchar  | 500  | YES    |                   |
| local_id       | 系统本地编码 | varchar  | 200  | YES    |                   |
| local_name     | SysLocalName | varchar  | 500  | YES    |                   |
| cad_id         | CADID        | varchar  | 200  | YES    |                   |
| bim_id         | BIMID        | varchar  | 200  | YES    |                   |
| last_update    | 更新时间     | datetime |      | YES    | CURRENT_TIMESTAMP |
| create_time    | 创建时间     | datetime |      | YES    | CURRENT_TIMESTAMP |
| category       | 分类         | varchar  | 255  | YES    |                   |
| project_id     | 项目id       | varchar  | 100  | YES    |                   |
| building_id    | 建筑id       | varchar  | 100  | YES    |                   |
| floor_id       | 楼层id       | varchar  | 100  | YES    |                   |
| setting_param  | 设定参数     | text     |      | YES    |                   |
| tech_param     | 技术参数     | text     |      | YES    |                   |
| run_param      | 运行参数     | text     |      | YES    |                   |
| custom_param   | 自定义参数   | text     |      | YES    |                   |
| running_state  | 运行状态     | text     |      | YES    |                   |
| object_type    | 对象类型     | varchar  | 500  | YES    |                   |
| feedback_param | 反馈参数     | text     |      | YES    |                   |
| category_name  |              | varchar  | 255  | YES    |                   |

### 3.7设备

| 设备                |                                     |          |      |        |                   |
| ------------------- | ----------------------------------- | -------- | ---- | ------ | ----------------- |
| 字段                | 字段名称                            | 类型     | 长度 | 不为空 | 备注              |
| id                  | 设备id                              | varchar  | 100  | NO     |                   |
| name                | 设备名称                            | varchar  | 500  | YES    |                   |
| local_id            | 设备本地编码                        | varchar  | 100  | YES    |                   |
| local_name          | 设备本地名称                        | varchar  | 500  | YES    |                   |
| qr_code             | 设备二维码图片                      | varchar  | 200  | YES    |                   |
| cad_id              | 设计图纸中编码                      | varchar  | 200  | YES    |                   |
| bim_id              | BIM模型中编码                       | varchar  | 200  | YES    |                   |
| bim_location        | BIM模型中坐标                       | varchar  | 500  | YES    |                   |
| project_id          | 项目id                              | varchar  | 200  | NO     |                   |
| building_id         | 建筑id                              | varchar  | 200  | YES    |                   |
| floor_id            | 楼层id                              | varchar  | 200  | YES    |                   |
| category            | 分类                                | varchar  | 200  | YES    |                   |
| ledger_param        | 台账参数                            | text     |      | YES    |                   |
| comm_param          | 通讯参数                            | text     |      | YES    |                   |
| tech_param          | 技术参数                            | text     |      | YES    |                   |
| run_param           | 运行参数                            | text     |      | YES    |                   |
| setting_param       | 设定参数                            | text     |      | YES    |                   |
| alram               | 报警信息                            | text     |      | YES    |                   |
| last_update         | 更新时间                            | datetime |      | YES    | CURRENT_TIMESTAMP |
| create_time         | 创建时间                            | datetime |      | YES    | CURRENT_TIMESTAMP |
| custom_param        | 自定义参数                          | text     |      | YES    |                   |
| parent_id           | 部件关联设备的id                    | varchar  | 200  | YES    |                   |
| dp_manufacturer_id  | 品牌型号id                          | varchar  | 200  | YES    |                   |
| dp_supplier_id      | 供应商信息id                        | varchar  | 200  | YES    |                   |
| dp_maintainer_id    | 维修商信息id                        | varchar  | 200  | YES    |                   |
| dp_insurer_id       | 保险公司信息id                      | varchar  | 200  | YES    |                   |
| temp_sensor         | 温度传感器                          | text     |      | YES    |                   |
| tech_param_general  | 技术参数-通用                       | text     |      | YES    |                   |
| run_param_general   | 运行参数-通用                       | text     |      | YES    |                   |
| speed_sensor        | 速度传感器                          | text     |      | YES    |                   |
| sound_sensor        | 声音传感器                          | text     |      | YES    |                   |
| humidity_sensor     | 湿度传感器                          | text     |      | YES    |                   |
| press_transd        | 压力传感器                          | text     |      | YES    |                   |
| heat_sensor         | 热量传感器                          | text     |      | YES    |                   |
| flow_sensor         | 流量传感器                          | text     |      | YES    |                   |
| electricity_sensor  | 电度传感器                          | text     |      | YES    |                   |
| displ_sensor        | 位移传感器                          | text     |      | YES    |                   |
| concent_sensor      | 浓度传感器                          | text     |      | YES    |                   |
| image_sensor        | 图像传感器                          | text     |      | YES    |                   |
| object_type         | 对象类型                            | varchar  | 500  | YES    |                   |
| feedback_param      | 反馈参数                            | text     |      | YES    |                   |
| property_id         | 资产id                              | varchar  | 200  | YES    |                   |
| man_flow_sensor     | 人流量传感器                        | text     |      | YES    |                   |
| _location           | 坐标x,y,z                           | text     |      | YES    |                   |
| category_name       | 分类名                              | varchar  | 255  | YES    |                   |
| custom_category     | 项目自定义类型                      | varchar  |      | YES    |                   |
| task_state          | 任务状态-待验证1、已验证0、未找到-1 | int      |      | YES    |                   |
| model_id            | 模型id                              | varchar  | 200  | YES    |                   |
| code_type           | 贴码状态                            | int      |      | YES    | 1                 |
| dp_specification_id | 设备型号id                          | varchar  | 200  | YES    |                   |
| dp_brand_id         | 品牌id                              | varchar  | 200  | YES    |                   |
| equip_serial        | 设备序号                            | int      |      | YES    |                   |
| family_name         | Revit族                             | varchar  | 200  | YES    |                   |
| family_symbol       | Revit族类型                         | varchar  | 200  | YES    |                   |
| note                | 备注                                | text     |      | YES    |                   |
| bim_type_id         | BIM构建编码                         | varchar  | 200  | YES    |                   |

### 3.8资产

| 资产                |                                     |          |      |        |                   |
| :------------------ | ----------------------------------- | -------- | ---- | ------ | ----------------- |
| 字段                | 字段名称                            | 类型     | 长度 | 不为空 | 备注              |
| id                  | 资产id                              | varchar  | 100  | NO     |                   |
| name                | 资产名称                            | varchar  | 500  | YES    |                   |
| local_id            | 资产本地编码                        | varchar  | 100  | YES    |                   |
| local_name          | 资产本地名称                        | varchar  | 500  | YES    |                   |
| qr_code             | 资产二维码图片                      | varchar  | 200  | YES    |                   |
| cad_id              | 设计图纸中编码                      | varchar  | 200  | YES    |                   |
| bim_id              | BIM模型中编码                       | varchar  | 200  | YES    |                   |
| bim_location        | BIM模型中坐标                       | varchar  | 200  | YES    |                   |
| project_id          | 项目id                              | varchar  | 100  | NO     |                   |
| building_id         | 建筑id                              | varchar  | 100  | YES    |                   |
| floor_id            | 楼层id                              | varchar  | 100  | YES    |                   |
| family              | 分类                                | varchar  | 100  | YES    |                   |
| ledger_param        | 台账参数                            | text     |      | YES    |                   |
| comm_param          | 通讯参数                            | text     |      | YES    |                   |
| tech_param          | 技术参数                            | text     |      | YES    |                   |
| run_param           | 运行参数                            | text     |      | YES    |                   |
| setting_param       | 设定参数                            | text     |      | YES    |                   |
| alram               | 报警信息                            | text     |      | YES    |                   |
| last_update         | 更新时间                            | datetime |      | YES    | CURRENT_TIMESTAMP |
| create_time         | 创建时间                            | datetime |      | YES    | CURRENT_TIMESTAMP |
| custom_param        | 自定义参数                          | text     |      | YES    |                   |
| type                | 关联的类型 1为设备2为部件           | varchar  | 200  | YES    |                   |
| equip_id            | 资产关联的设备id或部件id            | varchar  | 200  | YES    |                   |
| dp_manufacturer_id  | 品牌型号id                          | varchar  | 200  | YES    |                   |
| dp_supplier_id      | 供应商信息id                        | varchar  | 200  | YES    |                   |
| dp_maintainer_id    | 维修商信息id                        | varchar  | 200  | YES    |                   |
| dp_insurer_id       | 保险公司信息id                      | varchar  | 200  | YES    |                   |
| temp_sensor         | 温度传感器                          | text     |      | YES    |                   |
| tech_param_general  | 技术参数-通用                       | text     |      | YES    |                   |
| run_param_general   | 运行参数-通用                       | text     |      | YES    |                   |
| speed_sensor        | 速度传感器                          | text     |      | YES    |                   |
| sound_sensor        | 声音传感器                          | text     |      | YES    |                   |
| humidity_sensor     | 湿度传感器                          | text     |      | YES    |                   |
| press_transd        | 压力传感器                          | text     |      | YES    |                   |
| heat_sensor         | 热量传感器                          | text     |      | YES    |                   |
| flow_sensor         | 流量传感器                          | text     |      | YES    |                   |
| electricity_sensor  | 电度传感器                          | text     |      | YES    |                   |
| displ_sensor        | 位移传感器                          | text     |      | YES    |                   |
| concent_sensor      | 浓度传感器                          | text     |      | YES    |                   |
| image_sensor        | 图像传感器                          | text     |      | YES    |                   |
| object_type         | 对象类型                            | varchar  | 500  | YES    |                   |
| feedback_param      | 反馈参数                            | text     |      | YES    |                   |
| position            | 位置                                | varchar  | 500  | YES    |                   |
| code_type           | 贴码状态                            | int      |      | NO     | 1                 |
| checked             | 状态                                | bool     |      | YES    | false             |
| space_id            | 空间id                              | varchar  | 200  | YES    |                   |
| note                | 备注                                | text     |      | YES    |                   |
| man_flow_sensor     | 人流量传感器                        | text     |      | YES    |                   |
| point_id            | 点位id                              | varchar  | 200  | YES    |                   |
| task_state          | 任务状态-待验证1、已验证0、未找到-1 | int      |      | YES    |                   |
| dp_specification_id | 设备型号id                          | varchar  | 200  | YES    |                   |
| dp_brand_id         | 品牌id                              | varchar  | 200  | YES    |                   |
| equip_serial        | 设备序号                            | int      |      | YES    |                   |
| source              | 区分是哪里创建的资产 app ,web       | varchar  | 200  | YES    |                   |
| model_id            | 模型文件id                          | varchar  | 200  | YES    |                   |
| find_people         | 发现人                              | varchar  | 200  | YES    |                   |

### 3.9租户

| 租户             |               |          |      |        |                   |
| ---------------- | ------------- | -------- | ---- | ------ | ----------------- |
| 字段             | 字段名称      | 类型     | 长度 | 不为空 | 备注              |
| id               | 租户id        | varchar  | 254  | NO     |                   |
| name             | 租户名称      | varchar  | 254  | YES    |                   |
| local_id         | 租户本地编码  | varchar  | 254  | YES    |                   |
| local_name       | 租户本地名称  | varchar  | 254  | YES    |                   |
| local_id2        | 租户本地编码2 | varchar  | 254  | YES    |                   |
| local_name2      | 租户本地名称2 | varchar  | 254  | YES    |                   |
| last_update      | 更新时间      | datetime |      | YES    | CURRENT_TIMESTAMP |
| create_time      | 创建时间      | datetime |      | YES    | CURRENT_TIMESTAMP |
| project_id       | 项目id        | varchar  | 80   | YES    |                   |
| lease_info       | 租赁信息      | text     |      | YES    |                   |
| consumption_info | 能耗信息      | text     |      | YES    |                   |
| object_type      | 对象类型      | varchar  | 500  | YES    |                   |
| dynamic_infor    | 动态信息      | text     |      | YES    |                   |
| custom_param     | 自定义信息点  | text     |      | YES    |                   |

### 3.10 台账

| 台账        |          |         |      |        |      |
| ----------- | -------- | ------- | ---- | ------ | ---- |
| 字段        | 字段名称 | 类型    | 长度 | 不为空 | 备注 |
| id          | 台账id   | varchar | 50   | NO     |      |
| name        | 台账名称 | varchar | 50   | YES    |      |
| type        | 台账类别 | varchar | 50   | YES    |      |
| object_id   | 对象di   | varchar | 50   | YES    |      |
| object_name | 对象名称 | varchar | 50   | YES    |      |
| object_type | 对象类   | varchar | 50   | YES    |      |

### 3.11 模型文件

| 模型                |                                                              |          | NO   |        |                   |
| ------------------- | ------------------------------------------------------------ | -------- | ---- | ------ | ----------------- |
| 字段                | 字段名称                                                     | 类型     | 长度 | 不为空 | 备注              |
| id                  | 模型id uuid                                                  | varchar  | 50   | NO     |                   |
| original_name       | 模型文件的上传原始名                                         | varchar  | 255  | YES    |                   |
| version             | 楼层模型的版本号                                             | int      |      | YES    |                   |
| user_id             | 上传模型文件的用户id                                         | varchar  | 80   | YES    |                   |
| user_name           | 上传模型文件的用户的用户名                                   | varchar  | 80   | YES    |                   |
| status              | 模型文件的当前处理状态 模型文件状态, 0=上传中, 1=上传完毕, 2=模型初步检查完成, 3=同步数据完成, 4=模型正常结束 | int      |      | YES    |                   |
| accept_time         | 模型上传完毕, 初步校验完成时间                               | datetime |      | YES    |                   |
| note                | 备注                                                         | text     |      | YES    |                   |
| log                 | 日志                                                         | text     |      | YES    |                   |
| replace_reason      | 模型文件替换原因                                             | int      |      | YES    |                   |
| project_finish_time | 工程改造项目完成时间(replace_reason为工程改造时起作用)       | datetime |      | YES    |                   |
| url                 | 模型文件的url                                                | text     |      | YES    |                   |
| md5                 | 模型文件md5值                                                | varchar  | 70   | YES    |                   |
| model_floor_id      | 模型文件所属楼层(model_floor表id)                            | varchar  | 50   | YES    |                   |
| last_update         | 上次更新时间                                                 | datetime |      | YES    | CURRENT_TIMESTAMP |
| create_time         | 记录创建时间                                                 | datetime |      | YES    | CURRENT_TIMESTAMP |
| removed             | 模型文件是否已被删除                                         | bool     |      | YES    | false             |
| size                | 文件的长度                                                   | int      |      | YES    | 0                 |
| units               | 单位                                                         | text     |      | YES    |                   |
| plan_name           | 平面图名称                                                   | varchar  | 80   | YES    |                   |
| mbi_name            | mbi名字                                                      | varchar  | 80   | YES    |                   |
| project_id          | 来自模型json文件                                             | varchar  | 80   | YES    |                   |
| scheduler_info      | 任务调度器信息                                               | text     |      | YES    |                   |
| sync_retry_times    | 跟数据中心同步数据失败时的重试次数                           | int      |      | YES    | 0                 |
| sync_retry_date     | 上次重试日期                                                 | datetime |      | YES    |                   |
| sync_error_msg      | 上次同步到数据中心时的错误消息                               | text     |      | YES    |                   |
| level               | 模型的标高                                                   | float8   |      | YES    |                   |
| data_check_result   | 任务调度器DataCheck的检查结果中 非阻塞性检查是否有错误 true是有错误, false是没错误 null是没检查 | bool     |      | YES    |                   |
| status_info         | 存储模型状态信息                                             | text     |      | YES    |                   |
| revit_version       | 模型文件版本                                                 | varchar  | 50   | YES    |                   |

### 3.12模型的楼层

| 模型的楼层       |                |          |      |        |                   |
| ---------------- | -------------- | -------- | ---- | ------ | ----------------- |
| 字段             | 字段名称       | 类型     | 长度 | 不为空 | 备注              |
| id               | 自增id         | varchar  | 50   | NO     |                   |
| floor_name       | 模型楼层名     | varchar  | 50   | NO     |                   |
| project_id       | 项目id         | varchar  | 50   | NO     |                   |
| current_model_id | 当前模型的id   | varchar  | 50   | YES    |                   |
| last_update      | 上次更新时间   | datetime |      | YES    | CURRENT_TIMESTAMP |
| create_time      | 记录创建时间   | datetime |      | YES    | CURRENT_TIMESTAMP |
| folder_id        | 楼层所属文件夹 | varchar  | 50   | YES    |                   |
| bind_floor_ids   |                | text     |      | YES    | '[]'::jsonb       |

### 3.13模型文件夹

| 模型文件夹  |              |          |      |        |                   |
| ----------- | ------------ | -------- | ---- | ------ | ----------------- |
| 字段        | 字段名称     | 类型     | 长度 | 不为空 | 备注              |
| id          | 文件夹id     | varchar  | 50   | NO     |                   |
| project_id  | 项目id       | varchar  | 50   | NO     |                   |
| name        | 文件夹名称   | varchar  | 255  | NO     |                   |
| last_update | 上次更新时间 | datetime |      | YES    | CURRENT_TIMESTAMP |
| create_time | 记录创建时间 | datetime |      | YES    | CURRENT_TIMESTAMP |

### 3.14业态

| 业态        |          |         |      |        |      |
| ----------- | -------- | ------- | ---- | ------ | ---- |
| 字段        | 字段名称 | 类型    | 长度 | 不为空 | 备注 |
| format_id   | 业态id   | varchar | 50   | NO     |      |
| format_name | 业态名称 | varchar | 50   | NO     |      |

### 3.15业态对象关系

| 业态对象关系 |          |         |      |        |      |
| ------------ | -------- | ------- | ---- | ------ | ---- |
| 字段         | 字段名称 | 类型    | 长度 | 不为空 | 备注 |
| format_id    | 业态id   | varchar | 50   | NO     |      |
| object_id    | 对象id   | varchar | 50   | NO     |      |

### 3.16提取任务

| 提取任务     |              |             |        |      |      |
| ------------ | ------------ | ----------- | ------ | ---- | ---- |
| 字段         | 字段名称     | 类型        | 可为空 | 主键 | 备注 |
| extract_task | 提取任务ID   | varchar(80) | 是     | 是   |      |
| extract_file | 提取文件ID   | varchar(80) | 是     | 是   |      |
| task_runtime | 任务运行时间 | datetime    | 是     |      |      |

### 3.17产品表

| 字段          | 字段名称 | 类型        | 非空 | 备注                                           |
| ------------- | -------- | ----------- | ---- | ---------------------------------------------- |
| product_id    | 产品ID   | varchar(20) | Y    | 全局唯一                                       |
| product_name  | 产品名称 | varchar(40) | Y    |                                                |
| product_type  | 产品品类 | varchar(40) | Y    | 产品的类别（如投影仪、摄像头等），存储在知识库 |
| product_image | 产品图像 | varchar(40) | Y    |                                                |

## 4.关系表设计

### 4.1关系表

| 关系表                    |                  |             |        |      |                                                              |
| ------------------------- | ---------------- | ----------- | ------ | ---- | ------------------------------------------------------------ |
| 字段                      | 字段名称         | 类型        | 可为空 | 主键 | 备注                                                         |
| relation_id               | 关系id           | varchar(80) | 否     | 是   |                                                              |
| relation_name             | 关系名称         | varchar(80) | 否     |      |                                                              |
| relation_category         | 关系类别         | varchar(80) | 否     | 是   | 1、楼层关系；2、服务关系；3、控制关系；4、传感器关系；5、阀门关系；6、供电关系；7、电气网络；8、区域联通；9、管网关系 |
| relation_child            | 关系子类         | varchar(80) | 否     |      |                                                              |
| relation_source_object_id | 关系源对象ID     | varchar(80) | 否     |      |                                                              |
| relation_target_object_id | 关系目标对象ID   | varchar(80) | 否     |      |                                                              |
| is_automatic              | 是否自动提取关系 | int         | 否     |      |                                                              |
| extract_file              | 提取文件ID       | varchar(80) | 是     |      |                                                              |
| extract_task              | 提取任务ID       | varchar(80) | 是     |      |                                                              |

## 5.中控控制配置表

### 5.1自控设备类组表control_tab

| 自控设备类组表 |              |             |        |      |                  |
| -------------- | ------------ | ----------- | ------ | ---- | ---------------- |
| 字段           | 字段名称     | 类型        | 可为空 | 主键 | 备注             |
| id             | 主键         | varchar(40) | 否     | 是   |                  |
| project_id     | 项目id       | varchar(40) | 否     | 是   |                  |
| tab_id         | 设备类组ID   | varchar(40) | 否     | 是   |                  |
| tab_order      | 排序标记     | int         | 是     |      | 设备类组排序标记 |
| name           | 设备类组名称 | varchar(40) | 否     |      |                  |

### 5.2自控设备类组内容表control_tab_equip_type

| 自控设备类组内容表 |                |             |        |      |                  |
| ------------------ | -------------- | ----------- | ------ | ---- | ---------------- |
| 字段               | 字段名称       | 类型        | 可为空 | 主键 | 备注             |
| equip_type_id      | 主键           | varchar(40) | 否     | 是   |                  |
| project_id         | 项目id         | varchar(40) | 否     | 是   |                  |
| config_tag         | 设备类组ID     | varchar(40) | 否     | 是   | 关联所属设备类组 |
| criteria_json      | 设备类筛选条件 | text        | 是     |      |                  |
| equip_type_order   | 排序标记       | Int         | 是     |      |                  |
| name               | 设备类名称     | varchar(40) | 否     | 是   |                  |

### 5.3设备类自控信息点表control_tab_equip_type_info

| 设备类自控信息点表 |            |             |        |      |              |
| ------------------ | ---------- | ----------- | ------ | ---- | ------------ |
| 字段               | 字段名称   | 类型        | 可为空 | 主键 | 备注         |
| id                 | 主键       | varchar(40) | 否     | 是   |              |
| project_id         | 项目id     | varchar(40) | 否     | 是   |              |
| equip_type_id      | 设备类ID   | varchar(40) | 否     | 是   | 关联设备类   |
| info_id            | 自控信息点 | varchar(40) | 否     | 是   |              |
| is_virtua          | 是否为虚点 | int         | 是     |      | 0、否，1、是 |

### 5.4控制权限点表

| 控制权限点表 |              |             |        |      |                                                          |
| ------------ | ------------ | ----------- | ------ | ---- | -------------------------------------------------------- |
| 字段         | 字段名称     | 类型        | 可为空 | 主键 | 备注                                                     |
| id           | 控制权限点id | varchar(40) | 否     | 是   |                                                          |
| project_id   | 项目id       | varchar(40) | 否     | 是   |                                                          |
| object_type  | 对象类别     | varchar(40) | 否     | 是   | 系统、设备、设备组（台账类别）                           |
| hand_right   | 手动控制权   | text        | 是     |      | json封装判断条件，包含设备自身信息点，和所属系统的信息点 |
| auto_right   | 自动控制权   | text        | 是     |      | json封装判断条件，包含设备自身信息点，和所属系统的信息点 |
| no_right     | 无控制权     | text        | 是     |      | json封装判断条件，包含设备自身信息点，和所属系统的信息点 |

### 5.5群控设备组表equip_group

| 群控设备组表  |            |             |        |      |                              |
| ------------- | ---------- | ----------- | ------ | ---- | ---------------------------- |
| 字段          | 字段名称   | 类型        | 可为空 | 主键 | 备注                         |
| group_id      | 主键       | varchar(40) | 否     | 是   | 群控设备组ID                 |
| project_id    | 项目id     | varchar(40) | 否     | 是   |                              |
| group_name    | 设备组名称 | varchar(40) | 否     |      |                              |
| group_tag     | 设备组标记 | varchar(40) | 否     | 是   |                              |
| group_desc    | 设备组描述 | text        | 是     |      |                              |
| equip_type_id | 设备类ID   | varchar(40) | 否     | 是   |                              |
| create_type   | 创建类型   | int         | 否     |      | 0、数字化交付；1、用户自定义 |
| has_delete    | 是否删除   | int         | 否     | 是   | 0、未删除；1、已删除；默认0  |

### 5.6 群控设备组对象表

| 群控设备组对象表 |              |             |        |      |                              |
| ---------------- | ------------ | ----------- | ------ | ---- | ---------------------------- |
| 字段             | 字段名称     | 类型        | 可为空 | 主键 | 备注                         |
| group_id         | 群控设备组ID | varchar(40) | 否     | 是   |                              |
| project_id       | 项目id       | varchar(40) | 否     | 是   |                              |
| object_id        | 对象ID       | varchar(40) | 否     | 是   |                              |
| infopoint_id     | 点位ID       | varchar(40) | 否     | 是   |                              |
| create_type      | 创建类型     | int         | 否     |      | 0、数字化交付；1、用户自定义 |



## 6.数据监测界面配置表

### 6.1界面表

| 界面表    |          |             |        |      |      |
| --------- | -------- | ----------- | ------ | ---- | ---- |
| 字段      | 字段名称 | 类型        | 可为空 | 主键 | 备注 |
| page_id   | 界面ID   | varchar(80) | 否     | 是   |      |
| page_name | 界面名称 | varchar(80) | 否     |      |      |

### 6.2界面区域表

| 界面区域表       |              |             |        |      |      |
| ---------------- | ------------ | ----------- | ------ | ---- | ---- |
| 字段             | 字段名称     | 类型        | 可为空 | 主键 | 备注 |
| page_region_id   | 界面区域id   | varchar(80) | 否     | 是   |      |
| page_region_name | 界面区域名称 | varchar(80) | 否     |      |      |
| page_id          | 界面ID       | varchar(80) | 否     | 是   |      |

### 6.3数据通道表

| 数据通道表        |              |             |        |      |      |
| ----------------- | ------------ | ----------- | ------ | ---- | ---- |
| 字段              | 字段名称     | 类型        | 可为空 | 主键 | 备注 |
| data_channel_id   | 数据通道ID   | varchar(80) | 否     | 是   |      |
| data_channel_name | 数据通道名称 | varchar(80) | 否     |      |      |

### 6.4界面与数据通道关系表

| 界面与数据通道关系表 |                      |             |        |      |      |
| -------------------- | -------------------- | ----------- | ------ | ---- | ---- |
| 字段                 | 字段名称             | 类型        | 可为空 | 主键 | 备注 |
| page_region_id       | 界面与数据通道关系ID | varchar(80) | 否     | 是   |      |
| page_id              | 界面ID               | varchar(80) | 否     | 是   |      |
| page_region_id       | 界面区域id           | varchar(80) | 否     | 是   |      |
| data_channel_id      | 数据通道ID           | varchar(80) | 否     | 是   |      |

### 6.5界面显示配置表

| 界面显示配置表      |                  |             |        |      |      |
| ------------------- | ---------------- | ----------- | ------ | ---- | ---- |
| 字段                | 字段名称         | 类型        | 可为空 | 主键 | 备注 |
| page_configure_id   | 界面显示配置id   | varchar(80) | 否     | 是   |      |
| page_configure_name | 界面显示配置名称 | varchar(80) | 否     |      |      |
| page_id             | 界面ID           | varchar(80) | 否     | 是   |      |

### 6.6界面显示配置与数据通道关系表

| 界面显示配置与数据通道关系表 |                    |             |        |      |      |
| ---------------------------- | ------------------ | ----------- | ------ | ---- | ---- |
| 字段                         | 字段名称           | 类型        | 可为空 | 主键 | 备注 |
| id                           | 界面显示配置关系ID | varchar(80) | 否     | 是   |      |
| page_configure_id            | 界面显示配置id     | varchar(80) | 否     | 是   |      |
| data_channel_id              | 数据通道ID         | varchar(80) | 否     | 是   |      |

### 6.7数据选取表

| 数据选取表             |            |              |        |      |      |
| ---------------------- | ---------- | ------------ | ------ | ---- | ---- |
| 字段                   | 字段名称   | 类型         | 可为空 | 主键 | 备注 |
| id                     | 数据选取ID | varchar(80)  | 否     | 是   |      |
| data_channel_id        | 数据通道ID | varchar(80)  | 否     | 是   |      |
| object_id              | 对象ID     | varchar(40)  | 否     | 是   |      |
| object_attribute_value | 对象属性值 | varchar(200) | 否     |      |      |

### 6.8数据组合表

| 数据组合表            |              |             |        |      |      |
| --------------------- | ------------ | ----------- | ------ | ---- | ---- |
| 字段                  | 字段名称     | 类型        | 可为空 | 主键 | 备注 |
| data_combination_id   | 数据组合ID   | varchar(80) | 否     | 是   |      |
| data_combination_name | 数据组合名称 | varchar(80) | 否     |      |      |
| data_channel_id       | 数据通道ID   | varchar(80) | 否     | 是   |      |
| calculation_method_id | 计算方式ID   | varchar(40) | 否     | 是   |      |

### 6.9计算方式表

| 计算方式表                  |                |             |        |      |      |
| --------------------------- | -------------- | ----------- | ------ | ---- | ---- |
| 字段                        | 字段名称       | 类型        | 可为空 | 主键 | 备注 |
| calculation_method_id       | 计算方式ID     | varchar(40) | 否     | 是   |      |
| calculation_method_name     | 计算方式名称   | varchar(40) | 否     |      |      |
| calculation_method_function | 计算方式函数   | varchar(40) | 否     |      |      |
| calculation_method_enter    | 计算方式入参ID | varchar(40) | 否     | 是   |      |
| calculation_method_output   | 计算方式出参ID | varchar(40) | 否     | 是   |      |

### 6.10参数表

| 参数表表        |          |             |        |      |      |
| --------------- | -------- | ----------- | ------ | ---- | ---- |
| 字段            | 字段名称 | 类型        | 可为空 | 主键 | 备注 |
| parameter_id    | 参数ID   | varchar(80) | 否     | 是   |      |
| parameter_type  | 参数类型 | varchar(80) | 否     | 是   |      |
| parameter_value | 参数值   | varchar(40) | 否     |      |      |

### 6.11计算方式参数表

| 计算方式参数表                    |                  |             |        |      |                              |
| --------------------------------- | ---------------- | ----------- | ------ | ---- | ---------------------------- |
| 字段                              | 字段名称         | 类型        | 可为空 | 主键 | 备注                         |
| calculation_method_parameter      | 计算方式参数ID   | varchar(40) | 否     | 是   |                              |
| calculation_method_parametername  | 计算方式参数名称 | varchar(40) | 否     |      |                              |
| calculation_method_id             | 计算方式ID       | varchar(40) | 否     | 是   |                              |
| parameter_id                      | 参数ID           | varchar(80) | 否     | 是   |                              |
| calculation_method_parameter_type | 计算方式参数类型 | int         | 否     | 是   | 参数类型（1、入参；2、出参） |

### 6.12数据频率表

| 数据频率表      |            |             |        |      |      |
| --------------- | ---------- | ----------- | ------ | ---- | ---- |
| 字段            | 字段名称   | 类型        | 可为空 | 主键 | 备注 |
| frequency_id    | 频率ID     | varchar(40) | 否     | 是   |      |
| frequency_name  | 频率名称   | varchar(40) | 否     |      |      |
| frequency_unit  | 频率单位   | varchar(40) | 否     |      |      |
| frequency_value | 频率值     | varchar(40) | 否     |      |      |
| data_channel_id | 数据通道ID | varchar(80) | 否     | 是   |      |