# 人员组织权限接口文档



#### 以下查询为模板案例

参考实体类 Example

| 字段 | 类型   |
| ---- | ------ |
| id   | int    |
| name | string |
| age  | int    |

### 查询

[通用查询](http://git.sagacloud.cn/persagy/persagy-dmp-doc/src/master/api_document/通用查询.md)

### 新增

请求地址

```json
POST: /example/create
```

请求参数

```json
{
    "id": "1",
    "name": "test",
    "age": "23"
}
```

##### 返回结果：

正确JSON示例

```json
{
    "result": "success",
    "message": null,
    "data": {
        "id": "1"
    }
}
```

错误JSON示例

```json
{
    "result": "success",
    "message": "错误信息,如果接口发生错误会返回该字段"
}
```



### 更新

请求地址

```json
POST: /example/update
```

请求参数

```json
{
    "id": "1",
    "name": "test",
    "age": "23"
}
```

##### 返回结果：

正确JSON示例

```json
{
    "result": "success",
    "message": null,
    "data": {
        "id": "123456"
    }
}
```

错误JSON示例

```json
{
    "result": "success",
    "message": "错误信息,如果接口发生错误会返回该字段"
}
```



### 删除

请求地址

```json
POST: /example/delete
```

请求参数

```json
{
    "id": "1",
    "name": "test",
    "age": "23"
}
```

##### 返回结果：

正确JSON示例

```json
{
    "result": "success",
    "message": null,
    "data": {
        "id": "1"
    }
}
```

错误JSON示例

```json
{
    "result": "success",
    "message": "错误信息,如果接口发生错误会返回该字段"
}
```

### 

### 系统接口路径

### （注：condition 为 query，create，update，delete）

### （注：为了读写分离，serviceid还会变动，请不要写死）

### （注：传入参数请参考[SQL文档](http://git.sagacloud.cn/persagy/persagy-dmp-doc/src/master/SQL/org.ddl.sql)，字段有下划线改为驼峰）

#### 请求方法：POST

#### 请求路径：

```json
集团
  /group/{condition}
  
公司
  /company/{condition}
  
项目
  /project/{condition}

部门
  /dept/{condition}

人员账号
  /user/{condition}

部门分类
  /dept/classify/{condition}

岗位分类
  /job/classify/{condition}

岗位
  /job/{condition}

应用
  /application/{condition}

功能
  /function/{condition}

岗位分类与应用功能关系
  /job/classify/rel/{condition}

```

